public static interface ValidatorEndpointBuilderFactory.ValidatorBuilders
| Modifier and Type | Method and Description |
|---|---|
default ValidatorEndpointBuilderFactory.ValidatorEndpointBuilder |
validator(String path)
Validator (camel-validator)
Validate the payload using XML Schema and JAXP Validation.
|
default ValidatorEndpointBuilderFactory.ValidatorEndpointBuilder |
validator(String componentName,
String path)
Validator (camel-validator)
Validate the payload using XML Schema and JAXP Validation.
|
default ValidatorEndpointBuilderFactory.ValidatorEndpointBuilder validator(String path)
validator:resourceUri
Path parameter: resourceUri (required)
URL to a local resource on the classpath, or a reference to lookup a
bean in the Registry, or a full URL to a remote resource or resource
on the file system which contains the XSD to validate against.path - resourceUridefault ValidatorEndpointBuilderFactory.ValidatorEndpointBuilder validator(String componentName, String path)
validator:resourceUri
Path parameter: resourceUri (required)
URL to a local resource on the classpath, or a reference to lookup a
bean in the Registry, or a full URL to a remote resource or resource
on the file system which contains the XSD to validate against.componentName - to use a custom component name for the endpoint
instead of the default namepath - resourceUriApache Camel